Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model.handlers
Class BookmarkHandler

    java.lang.Object
      bmserv.model.handlers.BookmarkHandler

    public class BookmarkHandler

extends java.lang.Object

Gestion des instances de `Bookmark`. `BookmarkHandler` implemente les methodes CRUD sur les `Bookmark`.

Author:
  ndelafor

Constructor Summary
`BookmarkHandler()` Constructeur vide pour JAXB

Method Summary
`void` | `createBookmark(java.lang.String title, java.lang.String urlstr, java.lang.String descr, java.lang.String authid)` Creation d'un nouveau `Bookmark` et generation d'un nouvel ID a partir des parametres.
`Bookmark` | `getBookmarkFromId(java.lang.String bmid)` Permet de récupérer un `Bookmark` à partir de son ID.
`java.util.List<Bookmark>` | `getBookmarks()` Renvoie tous les `Bookmarks`
`void` | `print()` Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.
`void` | `removeBookmark(java.lang.String bmid)` Supprime un `Bookmark` de la liste.
`void` | `updateBookmark(java.lang.String bmid, java.lang.String title, java.lang.String urlstr, java.lang.String descr)` Mise a jour "massive" d'un `Bookmark` existant à partir de son id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarkHandler

    public BookmarkHandler()

  Constructeur vide pour JAXB

Method Detail

### createBookmark

    public void createBookmark(java.lang.String title,
                               java.lang.String urlstr,
                               java.lang.String descr,
                               java.lang.String authid)

  Creation d'un nouveau `Bookmark` et generation d'un nouvel ID a partir des parametres.

  Parameters:
    `title` - le titre du `Bookmark`
    `urlstr` - l'URL bookmarkée
    `descr` - un petit texte descriptif
    `authid` - l'ID de l'auteur du `Bookmark`

### getBookmarks

    public java.util.List<Bookmark> getBookmarks()

  Renvoie tous les `Bookmarks`

  Returns:
    une `List` de `Bookmarks`

### getBookmarkFromId

    public Bookmark getBookmarkFromId(java.lang.String bmid)

  Permet de récupérer un `Bookmark` à partir de son ID.

  Parameters:
    `bmid` - l'ID du `Bookmark` à récupérer
  Returns:
    le `Bookmark`

### updateBookmark

    public void updateBookmark(java.lang.String bmid,
                               java.lang.String title,
                               java.lang.String urlstr,
                               java.lang.String descr)

  Mise a jour "massive" d'un `Bookmark` existant à partir de son id.

  Parameters:
    `bmid` - l'ID du `Bookmark` à mettre à jour
    `title` - le nouveau titre
    `urlstr` - la nouvelle URL
    `descr` - la nouvelle description

### removeBookmark

    public void removeBookmark(java.lang.String bmid)

  Supprime un `Bookmark` de la liste.

  Parameters:
    `bmid` -

### print

    public void print()

  Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD